Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.compendium.internal.cm
Class ManagedServiceFactoryFactoryBean

    java.lang.Object
      org.eclipse.gemini.blueprint.compendium.internal.cm.ManagedServiceFactoryFactoryBean

All Implemented Interfaces:
  BundleContextAware, org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.beans.factory.BeanFactoryAware, org.springframework.beans.factory.DisposableBean, org.springframework.beans.factory.FactoryBean<Collection>, org.springframework.beans.factory.InitializingBean

    public class ManagedServiceFactoryFactoryBean

extends Object
implements org.springframework.beans.factory.InitializingBean, org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.beans.factory.BeanFactoryAware, BundleContextAware, org.springframework.beans.factory.DisposableBean, org.springframework.beans.factory.FactoryBean<Collection>

`Factory` class that automatically manages instances based on the configuration available inside a `ManagedServiceFactory`. The factory returns a list of `ServiceRegistration` of all published instances.

Author:
  Costin Leau

Field Summary
`Map` | `initialInjectionProperties`

Constructor Summary
`ManagedServiceFactoryFactoryBean()`

Method Summary
`void` | `afterPropertiesSet()`
`void` | `destroy()`
`Collection` | `getObject()`
`Class<Collection>` | `getObjectType()`
`boolean` | `isSingleton()`
`void` | `setAutowireOnUpdate(boolean autowireOnUpdate)` Sets whether autowire on update should be performed automatically or not.
`void` | `setBeanClassLoader(ClassLoader classLoader)`
`void` | `setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`
`void` | `setBundleContext(org.osgi.framework.BundleContext bundleContext)` Set the `BundleContext` that this bean runs in.
`void` | `setExportContextClassLoader(ExportContextClassLoaderEnum ccl)`
`void` | `setFactoryPid(String factoryPid)`
`void` | `setInterfaceDetector(InterfaceDetector detector)`
`void` | `setInterfaces(Class<?>[] interfaces)`
`void` | `setListeners(OsgiServiceRegistrationListener[] listeners)` Sets the listeners interested in registration and unregistration events.
`void` | `setServiceProperties(Map serviceProperties)` Sets the properties used when exposing the target as an OSGi service.
`void` | `setTemplateDefinition(org.springframework.beans.factory.config.BeanDefinition[] templateDefinition)`
`void` | `setUpdateMethod(String updateMethod)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### initialInjectionProperties

    public Map initialInjectionProperties

Constructor Detail

### ManagedServiceFactoryFactoryBean

    public ManagedServiceFactoryFactoryBean()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
  Throws:
    `Exception`

### destroy

    public void destroy()
                 throws Exception

  Specified by:
    `destroy` in interface `org.springframework.beans.factory.DisposableBean`
  Throws:
    `Exception`

### setBeanFactory

    public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)
                        throws org.springframework.beans.BeansException

  Specified by:
    `setBeanFactory` in interface `org.springframework.beans.factory.BeanFactoryAware`
  Throws:
    `org.springframework.beans.BeansException`

### setBundleContext

    public void setBundleContext(org.osgi.framework.BundleContext bundleContext)

  Description copied from interface: `BundleContextAware`
  Set the `BundleContext` that this bean runs in. Normally this can be used to initialize an object.

  Specified by:
    `setBundleContext` in interface `BundleContextAware`
  Parameters:
    `bundleContext` - the `BundleContext` object to be used by this object

### getObject

    public Collection getObject()
                         throws Exception

  Specified by:
    `getObject` in interface `org.springframework.beans.factory.FactoryBean<Collection>`
  Throws:
    `Exception`

### getObjectType

    public Class<Collection> getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<Collection>`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<Collection>`

### setListeners

    public void setListeners(OsgiServiceRegistrationListener[] listeners)

  Sets the listeners interested in registration and unregistration events.

  Parameters:
    `listeners` - registration/unregistration listeners.

### setFactoryPid

    public void setFactoryPid(String factoryPid)

  Parameters:
    `factoryPid` - The factoryPid to set.

### setTemplateDefinition

    public void setTemplateDefinition(org.springframework.beans.factory.config.BeanDefinition[] templateDefinition)

  Parameters:
    `templateDefinition` - The templateDefinition to set.

### setBeanClassLoader

    public void setBeanClassLoader(ClassLoader classLoader)

  Specified by:
    `setBeanClassLoader` in interface `org.springframework.beans.factory.BeanClassLoaderAware`

### setInterfaceDetector

    public void setInterfaceDetector(InterfaceDetector detector)

### setExportContextClassLoader

    public void setExportContextClassLoader(ExportContextClassLoaderEnum ccl)

  Parameters:
    `ccl` - The ccl to set.

### setInterfaces

    public void setInterfaces(Class<?>[] interfaces)

  Parameters:
    `interfaces` - The interfaces to set.

### setAutowireOnUpdate

    public void setAutowireOnUpdate(boolean autowireOnUpdate)

  Sets whether autowire on update should be performed automatically or not.

  Parameters:
    `autowireOnUpdate` -

### setUpdateMethod

    public void setUpdateMethod(String updateMethod)

  Parameters:
    `updateMethod` - The updateMethod to set.

### setServiceProperties

    public void setServiceProperties(Map serviceProperties)

  Sets the properties used when exposing the target as an OSGi service. If the given argument implements ( `ServicePropertiesChangeListener`), any updates to the properties will be reflected by the service registration.

  Parameters:
    `serviceProperties` - properties used for exporting the target as an OSGi service

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.